Skip to main content
GET
/
orders
/
{orderId}
JavaScript
import HenrySDK from '@henrylabs/sdk';

const client = new HenrySDK({
  apiKey: process.env['HENRY_SDK_API_KEY'], // This is the default and can be omitted
});

const response = await client.orders.retrieveStatus('123e4567-e89b-12d3-a456-426614174000');

console.log(response.message);
{
  "success": true,
  "status": "<string>",
  "message": "<string>",
  "data": {
    "id": "<string>",
    "userId": "<string>",
    "status": "processing",
    "statusMessage": "<string>",
    "subtotal": "<string>",
    "tax": "<string>",
    "shipping": "<string>",
    "grandTotal": "<string>",
    "currency": "<string>",
    "products": [
      {
        "productName": "<string>",
        "quantity": 123,
        "productMetadata": {}
      }
    ],
    "shippingDetails": {
      "email": "<string>",
      "fullName": "<string>",
      "addressLine1": "<string>",
      "city": "<string>",
      "stateOrProvince": "<string>",
      "postalCode": "<string>",
      "countryCode": "<string>",
      "phoneNumber": "<string>",
      "addressLine2": "<string>"
    }
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

orderId
string<uuid>
required

Order ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$

Response

Order details retrieved successfully

success
boolean
required
Example:

true

status
string
required
Example:

"success"

message
string
required
Example:

"Order details retrieved successfully"

data
object